Index: multimedia/libdriv/alsa.xml
===================================================================
--- multimedia/libdriv/alsa.xml	(revision a9869ad275d9a62f85b3fa9edd23fdd827b2c426)
+++ multimedia/libdriv/alsa.xml	(revision e63029c3095557e79c26d4e0d299169da9b57ca9)
@@ -12,10 +12,9 @@
 </para>
 
-<para><acronym>ALSA</acronym> is also likely to be the future of Linux Sound 
-(hence the name <emphasis>Advanced Linux Sound Architecture</emphasis>), and 
-the <acronym>ALSA</acronym> drivers will probably be included into the main 
-linux kernel at some point during the 2.5 development series, leading 
-eventually to <acronym>ALSA</acronym> being the "standard" sound drivers into 
-the future 2.6 stable kernel.</para>
+<para><acronym>ALSA</acronym> will also be the future of Linux Sound (hence the
+name <emphasis>Advanced Linux Sound Architecture</emphasis>), the <acronym>ALSA</acronym>
+drivers have already been included into the main linux kernel during the 2.5
+development series, which will eventually lead to <acronym>ALSA</acronym> being
+the "standard" sound drivers in the future 2.6 stable kernel.</para>
 
 <para>The following five sections of the book deal with the five separate
Index: multimedia/libdriv/alsa/alsa.ent
===================================================================
--- multimedia/libdriv/alsa/alsa.ent	(revision a9869ad275d9a62f85b3fa9edd23fdd827b2c426)
+++ multimedia/libdriv/alsa/alsa.ent	(revision e63029c3095557e79c26d4e0d299169da9b57ca9)
@@ -1,4 +1,6 @@
 <!ENTITY alsa SYSTEM "../alsa.xml">
-<!ENTITY alsa-version "0.9.6">
+<!ENTITY alsa-version "0.9.8">
+<!ENTITY alsa-download-http "http://www.alsa-project.org/alsa/ftp">
+<!ENTITY alsa-download-ftp "ftp://ftp.alsa-project.org/pub">
 
 <!ENTITY % alsa-driver SYSTEM "driver/alsa-driver.ent">
Index: multimedia/libdriv/alsa/driver/alsa-driver.ent
===================================================================
--- multimedia/libdriv/alsa/driver/alsa-driver.ent	(revision a9869ad275d9a62f85b3fa9edd23fdd827b2c426)
+++ multimedia/libdriv/alsa/driver/alsa-driver.ent	(revision e63029c3095557e79c26d4e0d299169da9b57ca9)
@@ -5,8 +5,8 @@
 <!ENTITY alsa-driver-config SYSTEM "alsa-driver-config.xml">
 <!ENTITY alsa-driver-desc SYSTEM "alsa-driver-desc.xml">
-<!ENTITY alsa-driver-version "0.9.6">
-<!ENTITY alsa-driver-download-http "http://www.alsa-project.org/alsa/ftp/driver/alsa-driver-&alsa-driver-version;.tar.bz2">
-<!ENTITY alsa-driver-download-ftp "ftp://ftp.alsa-project.org/pub/driver/alsa-driver-&alsa-driver-version;.tar.bz2">
-<!ENTITY alsa-driver-size "1.5 MB">
-<!ENTITY alsa-driver-buildsize "22 MB (for all drivers)">
+<!ENTITY alsa-driver-version "&alsa-version;">
+<!ENTITY alsa-driver-download-http "&alsa-download-http;/driver/alsa-driver-&alsa-driver-version;.tar.bz2">
+<!ENTITY alsa-driver-download-ftp "&alsa-download-ftp;/driver/alsa-driver-&alsa-driver-version;.tar.bz2">
+<!ENTITY alsa-driver-size "1.6 MB">
+<!ENTITY alsa-driver-buildsize "29 MB (for all drivers)">
 <!ENTITY alsa-driver-time "1.13 SBU">
Index: multimedia/libdriv/alsa/lib/alsa-lib.ent
===================================================================
--- multimedia/libdriv/alsa/lib/alsa-lib.ent	(revision a9869ad275d9a62f85b3fa9edd23fdd827b2c426)
+++ multimedia/libdriv/alsa/lib/alsa-lib.ent	(revision e63029c3095557e79c26d4e0d299169da9b57ca9)
@@ -4,8 +4,8 @@
 <!ENTITY alsa-lib-config SYSTEM "alsa-lib-config.xml">
 <!ENTITY alsa-lib-desc SYSTEM "alsa-lib-desc.xml">
-<!ENTITY alsa-lib-version "0.9.6">
-<!ENTITY alsa-lib-download-http "http://www.alsa-project.org/alsa/ftp/lib/alsa-lib-&alsa-lib-version;.tar.bz2">
-<!ENTITY alsa-lib-download-ftp "ftp://ftp.alsa-project.org/pub/lib/alsa-lib-&alsa-lib-version;.tar.bz2">
-<!ENTITY alsa-lib-size "501 KB">
-<!ENTITY alsa-lib-buildsize "19 MB">
+<!ENTITY alsa-lib-version "&alsa-version;">
+<!ENTITY alsa-lib-download-http "&alsa-download-http;/lib/alsa-lib-&alsa-lib-version;.tar.bz2">
+<!ENTITY alsa-lib-download-ftp "&alsa-download-ftp;/lib/alsa-lib-&alsa-lib-version;.tar.bz2">
+<!ENTITY alsa-lib-size "524 KB">
+<!ENTITY alsa-lib-buildsize "21 MB">
 <!ENTITY alsa-lib-time "0.41 SBU">
Index: multimedia/libdriv/alsa/oss/alsa-oss.ent
===================================================================
--- multimedia/libdriv/alsa/oss/alsa-oss.ent	(revision a9869ad275d9a62f85b3fa9edd23fdd827b2c426)
+++ multimedia/libdriv/alsa/oss/alsa-oss.ent	(revision e63029c3095557e79c26d4e0d299169da9b57ca9)
@@ -4,8 +4,8 @@
 <!ENTITY alsa-oss-config SYSTEM "alsa-oss-config.xml">
 <!ENTITY alsa-oss-desc SYSTEM "alsa-oss-desc.xml">
-<!ENTITY alsa-oss-version "0.9.6">
-<!ENTITY alsa-oss-download-http "http://www.alsa-project.org/alsa/ftp/oss-lib/alsa-oss-&alsa-oss-version;.tar.bz2">
-<!ENTITY alsa-oss-download-ftp "ftp://ftp.alsa-project.org/pub/oss-lib/alsa-oss-&alsa-oss-version;.tar.bz2">
-<!ENTITY alsa-oss-size "131 KB">
-<!ENTITY alsa-oss-buildsize "1.3 MB">
+<!ENTITY alsa-oss-version "&alsa-version;">
+<!ENTITY alsa-oss-download-http "&alsa-download-http;/oss-lib/alsa-oss-&alsa-oss-version;.tar.bz2">
+<!ENTITY alsa-oss-download-ftp "&alsa-download-ftp;/oss-lib/alsa-oss-&alsa-oss-version;.tar.bz2">
+<!ENTITY alsa-oss-size "132 KB">
+<!ENTITY alsa-oss-buildsize "1.30 MB">
 <!ENTITY alsa-oss-time "0.04 SBU">
Index: multimedia/libdriv/alsa/tools/alsa-tools.ent
===================================================================
--- multimedia/libdriv/alsa/tools/alsa-tools.ent	(revision a9869ad275d9a62f85b3fa9edd23fdd827b2c426)
+++ multimedia/libdriv/alsa/tools/alsa-tools.ent	(revision e63029c3095557e79c26d4e0d299169da9b57ca9)
@@ -3,8 +3,8 @@
 <!ENTITY alsa-tools-inst SYSTEM "alsa-tools-inst.xml">
 <!ENTITY alsa-tools-desc SYSTEM "alsa-tools-desc.xml">
-<!ENTITY alsa-tools-version "0.9.6">
-<!ENTITY alsa-tools-download-http "http://www.alsa-project.org/alsa/ftp/tools/alsa-tools-&alsa-tools-version;.tar.bz2">
-<!ENTITY alsa-tools-download-ftp "ftp://ftp.alsa-project.org/pub/tools/alsa-tools-&alsa-tools-version;.tar.bz2">
-<!ENTITY alsa-tools-size "1.3 MB">
-<!ENTITY alsa-tools-buildsize "6.8 MB (to compile all tools)">
+<!ENTITY alsa-tools-version "&alsa-version;">
+<!ENTITY alsa-tools-download-http "&alsa-download-http;/tools/alsa-tools-&alsa-tools-version;.tar.bz2">
+<!ENTITY alsa-tools-download-ftp "&alsa-download-ftp;/tools/alsa-tools-&alsa-tools-version;.tar.bz2">
+<!ENTITY alsa-tools-size "1.5 MB">
+<!ENTITY alsa-tools-buildsize "11.0 MB (to compile all tools)">
 <!ENTITY alsa-tools-time "varies">
Index: multimedia/libdriv/alsa/utils/alsa-utils.ent
===================================================================
--- multimedia/libdriv/alsa/utils/alsa-utils.ent	(revision a9869ad275d9a62f85b3fa9edd23fdd827b2c426)
+++ multimedia/libdriv/alsa/utils/alsa-utils.ent	(revision e63029c3095557e79c26d4e0d299169da9b57ca9)
@@ -4,8 +4,8 @@
 <!ENTITY alsa-utils-config SYSTEM "alsa-utils-config.xml">
 <!ENTITY alsa-utils-desc SYSTEM "alsa-utils-desc.xml">
-<!ENTITY alsa-utils-version "0.9.6">
-<!ENTITY alsa-utils-download-http "http://www.alsa-project.org/alsa/ftp/utils/alsa-utils-&alsa-utils-version;.tar.bz2">
-<!ENTITY alsa-utils-download-ftp "ftp://ftp.alsa-project.org/pub/utils/alsa-utils-&alsa-utils-version;.tar.bz2">
-<!ENTITY alsa-utils-size "106 KB">
-<!ENTITY alsa-utils-buildsize "1.8 MB">
+<!ENTITY alsa-utils-version "&alsa-version;">
+<!ENTITY alsa-utils-download-http "&alsa-download-http;/utils/alsa-utils-&alsa-utils-version;.tar.bz2">
+<!ENTITY alsa-utils-download-ftp "&alsa-download-ftp;/utils/alsa-utils-&alsa-utils-version;.tar.bz2">
+<!ENTITY alsa-utils-size "107 KB">
+<!ENTITY alsa-utils-buildsize "1.9 MB">
 <!ENTITY alsa-utils-time "0.06 SBU">
